SELECT O.[name] AS object__name
	, I.index_id
	, I.[name] AS index_name
	, I.fill_factor
	, I.type_desc AS index_type
	, ixP.avg_fragmentation_in_percent AS frag_pct
	, ixP.page_count
FROM sys.dm_db_index_physical_stats (db_id(), NULL, NULL, NULL, 'limited') AS ixP
	INNER JOIN sys.indexes AS I 
		ON ixP.[object_id] = I.[object_id] 
			AND ixP.[index_id] = I.[index_id] 
	INNER JOIN sys.objects O 
		ON I.[object_id] = O.[object_id]
WHERE ixP.index_id > 0
	AND ixP.page_count > 500
	AND ixP.avg_fragmentation_in_percent > 15
ORDER BY ixP.avg_fragmentation_in_percent;
