--====================================================================
-- COUNT OF PAGE SPLITS AT LEAF & NON-LEAF LEVELS
--====================================================================
SELECT SO.[name] AS object__name
	, I.index_id
	, I.[name] AS index_name
	, I.fill_factor
	, I.type_desc AS index_type
	, ixO.partition_number
	, ixO.leaf_allocation_count
	, ixO.nonleaf_allocation_count
FROM sys.dm_db_index_operational_stats (db_id(), NULL, NULL, NULL) AS ixO
	INNER JOIN sys.indexes I 
		ON ixO.[object_id] = I.[object_id] 
			AND ixO.[index_id] = I.[index_id] 
	INNER JOIN sys.objects SO 
		ON I.[object_id] = SO.[object_id]
WHERE I.index_id > 0
	AND SO.is_ms_shipped = 0
ORDER BY ixO.leaf_allocation_count DESC;